# Interface Gesture

All Known Implementing Classes:
  `SinglePointGesture, TwoPointGesture`

public interface Gesture
Defines the interface that all user-defined gestures must implement.

Author:
  Tony Ross

## Method Summary

Modifier and Type
Method
Description
`int`
`getGestureType()`
Get the integer value of this gesture type.
`String`
`getName()`
Get the name of this gesture.
`List<Event>`
`processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)`
Process a touch point change in the gesture.

## Method Details

### processChange

List<Event> processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)
Process a touch point change in the gesture.

Parameters:
  `touchPoints` - The list of touch points that currently belong to this gesture.
  `changedTouchPoint` - The touch point that has changed.
Returns:
  An ArrayList of events that will be delivered to the client.

### getName

String getName()
Get the name of this gesture.

Returns:
  The name of this gesture.

### getGestureType

int getGestureType()
Get the integer value of this gesture type. Gesture values are defined in GestureType.java.

Returns:
  The gesture type.